diff --git a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
index f70221632..3605e1d57 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
@@ -461,6 +461,7 @@ define('pgadmin.node.database', [
             id: 'schema_res', label: gettext('Schema restriction'),
             type: 'select2', group: gettext('Advanced'),
             mode: ['properties', 'edit', 'create'],
+            helpMessage: gettext('Note: Changes to the schema restriction will require the Schemas node in the browser to be refreshed before they will be shown.'),
             select2: {
               multiple: true, allowClear: false, tags: true,
               tokenSeparators: [','], first_empty: false,
@@ -488,11 +489,6 @@ define('pgadmin.node.database', [
               },
             }),
           },
-          {
-            id: 'note', label: gettext('Note: Changes to the schema restriction will require the Schemas node in the browser to be refreshed before they will be shown.'),
-            group: gettext('Advanced'), type: 'help',
-            mode: ['edit', 'create'],
-          },
         ],
         validate: function() {
           var name = this.get('name');
diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index cfee5dfc1..f48111b21 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -1810,15 +1810,13 @@ define([
       // Use the Backform Control's render function
       Backform.Control.prototype.render.apply(this, arguments);
 
-      var field = _.defaults(this.field.toJSON(), this.defaults);
-
       this.sqlCtrl = CodeMirror.fromTextArea(
         (this.$el.find('textarea')[0]), {
           lineNumbers: true,
           mode: 'text/x-pgsql',
           readOnly: true,
           extraKeys: pgAdmin.Browser.editor_shortcut_keys,
-          screenReaderLabel: field.label,
+          screenReaderLabel: 'SQL',
         });
 
       this.reflectPreferences();
